Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class EnclosingSourceTypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.EnclosingSourceTypeImpl

All Implemented Interfaces:
  EnclosingSourceType

    public class EnclosingSourceTypeImpl

extends java.lang.Object
implements EnclosingSourceType

Nested Class Summary
`class` | `EnclosingSourceTypeImpl.Unmarshaller`

Field Summary
`protected com.sun.xml.bind.util.ListImpl` | `_Agent`
`protected java.lang.String` | `_Category`
`protected ComplexPointType` | `_ComplexLocation`
`protected ContainerType` | `_Container`
`protected EnclosingSourceType` | `_EnclosingSource`
`protected LocationType` | `_Location`
`static java.lang.Class` | `version`

Constructor Summary
`EnclosingSourceTypeImpl()`

Method Summary
`protected com.sun.xml.bind.util.ListImpl` | `_getAgent()`
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`java.util.List` | `getAgent()` Gets the value of the Agent property.
`java.lang.String` | `getCategory()` Gets the value of the category property.
`ComplexPointType` | `getComplexLocation()` Gets the value of the complexLocation property.
`ContainerType` | `getContainer()` Gets the value of the container property.
`EnclosingSourceType` | `getEnclosingSource()` Gets the value of the enclosingSource property.
`LocationType` | `getLocation()` Gets the value of the location property.
`java.lang.Class` | `getPrimaryInterface()`
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `setCategory(java.lang.String value)` Sets the value of the category property.
`void` | `setComplexLocation(ComplexPointType value)` Sets the value of the complexLocation property.
`void` | `setContainer(ContainerType value)` Sets the value of the container property.
`void` | `setEnclosingSource(EnclosingSourceType value)` Sets the value of the enclosingSource property.
`void` | `setLocation(LocationType value)` Sets the value of the location property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _Category

    protected java.lang.String _Category

### _ComplexLocation

    protected ComplexPointType _ComplexLocation

### _Agent

    protected com.sun.xml.bind.util.ListImpl _Agent

### _Location

    protected LocationType _Location

### _Container

    protected ContainerType _Container

### _EnclosingSource

    protected EnclosingSourceType _EnclosingSource

### version

    public static final java.lang.Class version

Constructor Detail

### EnclosingSourceTypeImpl

    public EnclosingSourceTypeImpl()

Method Detail

### getCategory

    public java.lang.String getCategory()

  Description copied from interface: `EnclosingSourceType`
  Gets the value of the category property.

  Specified by:
    `getCategory` in interface `EnclosingSourceType`
  Returns:
    possible object is `String`

### setCategory

    public void setCategory(java.lang.String value)

  Description copied from interface: `EnclosingSourceType`
  Sets the value of the category property.

  Specified by:
    `setCategory` in interface `EnclosingSourceType`
  Parameters:
    `value` - allowed object is `String`

### getComplexLocation

    public ComplexPointType getComplexLocation()

  Description copied from interface: `EnclosingSourceType`
  Gets the value of the complexLocation property.

  Specified by:
    `getComplexLocation` in interface `EnclosingSourceType`
  Returns:
    possible object is `ComplexPointType`

### setComplexLocation

    public void setComplexLocation(ComplexPointType value)

  Description copied from interface: `EnclosingSourceType`
  Sets the value of the complexLocation property.

  Specified by:
    `setComplexLocation` in interface `EnclosingSourceType`
  Parameters:
    `value` - allowed object is `ComplexPointType`

### _getAgent

    protected com.sun.xml.bind.util.ListImpl _getAgent()

### getAgent

    public java.util.List getAgent()

  Description copied from interface: `EnclosingSourceType`
  Gets the value of the Agent property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Agent property.

  For example, to add a new item, do as follows:

          getAgent().add(newItem);

  Objects of the following type(s) are allowed in the list `AgentType`

  Specified by:
    `getAgent` in interface `EnclosingSourceType`

### getLocation

    public LocationType getLocation()

  Description copied from interface: `EnclosingSourceType`
  Gets the value of the location property.

  Specified by:
    `getLocation` in interface `EnclosingSourceType`
  Returns:
    possible object is `LocationType`

### setLocation

    public void setLocation(LocationType value)

  Description copied from interface: `EnclosingSourceType`
  Sets the value of the location property.

  Specified by:
    `setLocation` in interface `EnclosingSourceType`
  Parameters:
    `value` - allowed object is `LocationType`

### getContainer

    public ContainerType getContainer()

  Description copied from interface: `EnclosingSourceType`
  Gets the value of the container property.

  Specified by:
    `getContainer` in interface `EnclosingSourceType`
  Returns:
    possible object is `ContainerType`

### setContainer

    public void setContainer(ContainerType value)

  Description copied from interface: `EnclosingSourceType`
  Sets the value of the container property.

  Specified by:
    `setContainer` in interface `EnclosingSourceType`
  Parameters:
    `value` - allowed object is `ContainerType`

### getEnclosingSource

    public EnclosingSourceType getEnclosingSource()

  Description copied from interface: `EnclosingSourceType`
  Gets the value of the enclosingSource property.

  Specified by:
    `getEnclosingSource` in interface `EnclosingSourceType`
  Returns:
    possible object is `EnclosingSourceType`

### setEnclosingSource

    public void setEnclosingSource(EnclosingSourceType value)

  Description copied from interface: `EnclosingSourceType`
  Sets the value of the enclosingSource property.

  Specified by:
    `setEnclosingSource` in interface `EnclosingSourceType`
  Parameters:
    `value` - allowed object is `EnclosingSourceType`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD